@import "../../styles/variables";

zs-dropdown-menu{
	position: relative;

	.popup-menu-list-item{
		font-size:.9em;
		color:#444;
		display: block;
	}

	.popup-menu-list-item-empty{
		padding:4px 12px;
		color:#999;
	}

}

.popup-menu-list {
	position: fixed;
	line-height: 1.5;
	background: #fff;
	box-shadow:#{$shadow};
	width:220px;
	z-index: 4;
	padding:10px 0;
	margin:0;
  overflow: auto;
	// transition: max-height 1s;

    a{
    	color:#333;
    }
}

zs-dropdown-menu.position-fixed {
	.popup-menu-list {
		position: fixed;
	}
}

.popup-menu-list-item-anchor{
	color:#000;
}

.top-bar-action-list .popup-menu-list{
	//margin-top:8px;
}


.popup-menu-list-item-anchor,
.popup-menu-list-item-button{
	display: flex;
	padding:4px 12px;
	width:100%;
	align-items: center;
	&:hover,
	&:focus{
		background: #eee;
		outline-width: 0;
	}
	zs-icon{
		margin-right:8px;
		display: flex;
		i{
			font-size:1.4rem;
		}
		.mdi-checkbox-marked{
			color:$blue;
		}
		
	}
}

.popup-menu-list-item-button{
	@include button-reset();
}

.popup-menu-actions{
	button{
		color: #000;
	}
}

.btn-flat.popup-menu-button-active{
	box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.2);
}